curl
curl https://api.paybridgenp.com/v1/refunds/ref_01j9x2k3m4n5p6q7r8s9t0u1v2 \
-H "Authorization: Bearer sk_test_your_key"const refund = await paybridgenp.refunds.retrieve("ref_01j9x2k3m4n5p6q7r8s9t0u1v2");import requests
url = "https://api.paybridgenp.com/v1/refunds/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"id": "ref_01j9x2k3m4n5p6q7r8s9t0u1v2",
"livemode": true,
"paymentId": "pay_01j9x2k3m4n5p6q7r8s9t0u1v2",
"projectId": "<string>",
"mode": "sandbox",
"amount": 10000,
"currency": "NPR",
"reason": "customer_request",
"status": "processing",
"providerRefundId": "<string>",
"failureReason": "<string>",
"notes": "<string>",
"mobileNumber": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Refunds
Get a refund
Retrieves a single refund by ID.
GET
/
v1
/
refunds
/
{id}
curl
curl https://api.paybridgenp.com/v1/refunds/ref_01j9x2k3m4n5p6q7r8s9t0u1v2 \
-H "Authorization: Bearer sk_test_your_key"const refund = await paybridgenp.refunds.retrieve("ref_01j9x2k3m4n5p6q7r8s9t0u1v2");import requests
url = "https://api.paybridgenp.com/v1/refunds/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"id": "ref_01j9x2k3m4n5p6q7r8s9t0u1v2",
"livemode": true,
"paymentId": "pay_01j9x2k3m4n5p6q7r8s9t0u1v2",
"projectId": "<string>",
"mode": "sandbox",
"amount": 10000,
"currency": "NPR",
"reason": "customer_request",
"status": "processing",
"providerRefundId": "<string>",
"failureReason": "<string>",
"notes": "<string>",
"mobileNumber": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"type": "authentication_error",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Authorizations
Your PayBridgeNP API key. Obtain one from the dashboard under Settings → API Keys. Prefix: sk_test_ for testing, sk_live_ for production.
Path Parameters
Refund ID (prefix: ref_).
Response
Refund object.
Example:
"ref_01j9x2k3m4n5p6q7r8s9t0u1v2"
true when created with a live key, false for sandbox.
Example:
"pay_01j9x2k3m4n5p6q7r8s9t0u1v2"
Available options:
sandbox, live Refunded amount in paisa.
Example:
10000
Example:
"NPR"
Available options:
customer_request, duplicate, fraudulent, other succeeded - refund processed. requires_action - eSewa: must be processed manually via merchant portal. failed - provider rejected the refund.
Available options:
processing, succeeded, failed, requires_action Provider's refund reference (Khalti only).
Set when status is failed or requires_action.
Was this page helpful?